VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "www.ActiveVB.de "
   ClientHeight    =   3180
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4050
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3180
   ScaleWidth      =   4050
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Label Label11 
      Caption         =   "Auslesen des Akku-Status bei einem Notebook"
      Height          =   375
      Left            =   120
      TabIndex        =   10
      Top             =   120
      Width           =   3855
   End
   Begin VB.Label Label10 
      Caption         =   "Batterie vorhanden?"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   2520
      Width           =   1635
   End
   Begin VB.Label Label9 
      Caption         =   "Gesamte Akkuzeit"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   1560
      Width           =   1635
   End
   Begin VB.Label Label8 
      Caption         =   "Netzteil vorhanden?"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   2040
      Width           =   1515
   End
   Begin VB.Label Label7 
      Caption         =   "Restliche Akkuzeit"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1080
      Width           =   1515
   End
   Begin VB.Label Label6 
      Caption         =   "Prozentual:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   600
      Width           =   915
   End
   Begin VB.Label Label5 
      Caption         =   "Label5"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   2520
      Width           =   1875
   End
   Begin VB.Label Label4 
      Caption         =   "Label4"
      Height          =   255
      Left            =   1920
      TabIndex        =   3
      Top             =   2040
      Width           =   1875
   End
   Begin VB.Label Label3 
      Caption         =   "Label3"
      Height          =   255
      Left            =   1920
      TabIndex        =   2
      Top             =   1560
      Width           =   1875
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      Height          =   255
      Left            =   1920
      TabIndex        =   1
      Top             =   1080
      Width           =   1875
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   255
      Left            =   1920
      TabIndex        =   0
      Top             =   600
      Width           =   1875
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Dieser Source stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.
'
'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source!
'
'Autor: "TheProfi"


Option Explicit
 
Private Declare Function GetSystemPowerStatus Lib "kernel32" _
    (lpSystemPowerStatus As SYSTEM_POWER_STATUS) As Long
 
Private Type SYSTEM_POWER_STATUS
    ACLineStatus As Byte
    BatteryFlag As Byte         ' Batteriezustand
    BatteryLifePercent As Byte  ' Prozentuale Angabe des Reststromes
    Reserved1 As Byte
    BatteryLifeTime As Long     ' Verbleibende Akku-Laufzeit
    BatteryFullLifeTime As Long ' Durchschnittliche Dauer eines Akkuzyklus
End Type
 
Private SysPower As SYSTEM_POWER_STATUS
 
Private Sub Form_Load()
    ' Auslesen der Battery-Informarionen
    GetSystemPowerStatus SysPower
    
    'In Prozent
    Label1.Caption = (Format(SysPower.BatteryLifePercent, "###")) & " %"
 
    ' Zeit
    Label2.Caption = Format$(Val(SysPower.BatteryLifeTime) * _
        (1 / 3600), "#0.0") & " Hours"
    
    ' Gesamt-Zeit
    Label3.Caption = Format$(Val(SysPower.BatteryFullLifeTime) * _
        (1 / 3600), "#0.0") & " Hours"
 
    ' Ist ein externes Netzteil angeschlossen?
    ' Nein
    If SysPower.ACLineStatus = 0 Then
        Label4.Caption = "NON AC POWER"
    
    ' Ja
    ElseIf SysPower.ACLineStatus = 1 Then
        Label4.Caption = "AC POWER"
        
    ' Wei nicht
    ElseIf SysPower.ACLineStatus = 2 Then
        Label4.Caption = "UNKNOWN AC POWER"
    End If
 
    ' Batteriezustand
    ' Voll
    If SysPower.BatteryFlag = 1 Then
        Label5.Caption = "HIGH"
    
    ' Leer
    ElseIf SysPower.BatteryFlag = 2 Then
        Label5.Caption = "LOW"
        
    ' Fast komplett leer
    ElseIf SysPower.BatteryFlag = 4 Then
        Label5.Caption = "CRITICAL"
        
    ' Keine Batterie gefunden
    ElseIf SysPower.BatteryFlag = 128 Then
        Label5.Caption = "NO BATTERY"
        
    ' Fehler beim auslesen
    ElseIf SysPower.BatteryFlag = 255 Then
        Label5.Caption = "UNKNOWN"
    End If
 
End Sub


